%define name	ams
%define version	1.8.7
%define release 1mdk

Name: 	 	%{name}
Summary: 	Alsa modular synth
Version: 	%{version}
Release: 	%{release}

Source:		http://prdownloads.sourceforge.net/alsamodular/%{name}-%{version}.tar.bz2
URL:		http://alsamodular.sourceforge.net/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	cmt swh-plugins vco-plugins rev-plugins mcp-plugins
BuildRequires:	fftw2-devel qt3-devel jackit-devel alsa-lib-devel
BuildRequires:	ladspa-devel clalsadrv-devel

%description
AlsaModularSynth is a realtime modular synthesizer and effect processor.
It features:
    * MIDI controlled modular software synthesis
    * Realtime effect processing with capture from e.g. "Line In" or "Mic In".
    * Full control of all synthesis and effect parameters via MIDI.
    * Integrated LADSPA Browser with search capability
    * JACK Support

NOTE: Example files are in /usr/share/ams

%prep
%setup -q
perl -p -i -e "s|-O2|$RPM_OPT_FLAGS||g" Makefile

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
mkdir -p $RPM_BUILD_ROOT/%_datadir/%name
cp %name $RPM_BUILD_ROOT/%_bindir
# examples files move to demos ?
cp demos/*.ams $RPM_BUILD_ROOT/%_datadir/%name

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="sound_section.png" needs="x11" title="Alsa Modular Synth" longtitle="Modular Synthesizer for ALSA" section="Multimedia/Sound"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README THANKS
%{_bindir}/%name
%{_datadir}/%name
%{_menudir}/%name

%changelog
* Wed Aug 24 2005 Austin Acton <austin@mandriva.org> 1.8.7-1mdk
- 1.8.7
- source URL
- buildrequires clalsadrv

* Sat Sep 11 2004 Austin Acton <austin@mandrake.org> 1.8.5-2mdk
- require mcp-plugins

* Thu Jul 8 2004 Austin Acton <austin@mandrake.org> 1.8.5-1mdk
- 1.8.5

* Sun May 9 2004 Austin Acton <austin@mandrake.org> 1.8.1-1mdk
- 1.8.1
- require vco and rev plugins for included patches

* Fri Apr 2 2004 Austin Acton <austin@mandrake.org> 1.7.7-1mdk
- 1.7.7

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 1.7.3-1mdk
- 1.7.3

* Sun Jan 25 2004 Franck Villaume <fvill@freesurf.fr> 1.7.2-2mdk
- fix BuildRequires : fftw2-devel

* Fri Jan 23 2004 Austin Acton <austin@mandrake.org> 1.7.2-1mdk
- 1.7.2
- remove epoch tag (0 is implied)
- back to sane versioning
- use opt flags

* Fri Jan 23 2004 Franck Villaume <fvill@freesurf.fr> 20040107-2mdk
- epoch tag = 0

* Fri Jan 09 2004 Franck Villaume <fvill@freesurf.fr> 20040107-1mdk
- cvs 20040107
- the examples files moved to demos directory
- fix buildrequires : 64bits + ladspa-devel

* Sat Aug 30 2003 Austin Acton <aacton@yorku.ca> 1.5.12-1mdk
- 1.5.12

* Fri May 23 2003 Austin Acton <aacton@yorku.ca> 1.5.9-2mdk
- change menu title

* Wed May 21 2003 Austin Acton <aacton@yorku.ca> 1.5.9-1mdk
- initial package
